/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.status-console {
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 1000;
    border: 1px solid $color-grey-05;

  .status-console-handle {
    padding: 2px;
    color: $color-white-01;
    font-weight: 500;
    background: $transparency-grey-02;
    font-size: 16px;
    text-align: center;
    cursor:move;

    button {
      float: right;
    }
  }

  .status-console-body {
    width: 500px;
    max-width: 95vw;
    max-height: 50vh;
    overflow-y: scroll;
    background: $transparency-grey-04;

    table {
      width: 100%;

      tbody tr {
        color: $color-black-01;
        
        &.level-error .level {
          background-color: $color-red-04;
        }

        &.level-warning .level {
          background-color: $color-orange-03;
        }

        &.level-success .level {
          background-color: $color-green-05;
        }

        &.level-info .level {
          background-color: $color-blue-05;

          
        }
        
        &.level-debug .level {
          background-color: $color-blue-04;
        }

        td {
          border: 1px solid $color-grey-06;
          padding: 2px;

          &.level {
            color: $color-white-01;
          }
  
          &.level,
          &.is-public {
            text-align: center;
            text-transform: uppercase;
          }
        }
      }
    }
  }  
}
